Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/NamedItemCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/NamedItemCollection.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/NamedItemCollection.cs	(revision 4068)
@@ -22,7 +22,4 @@
 using System;
 using System.Collections.Generic;
-using System.Drawing;
-using System.Linq;
-using HeuristicLab.Collections;
 using HeuristicLab.Common;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
@@ -34,5 +31,6 @@
     public NamedItemCollection() : base() { }
     public NamedItemCollection(int capacity) : base(capacity) { }
-    public NamedItemCollection(IEnumerable<T> collection) : base(collection) {
+    public NamedItemCollection(IEnumerable<T> collection)
+      : base(collection) {
       Initialize();
     }
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/OperatorCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/OperatorCollection.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/OperatorCollection.cs	(revision 4068)
@@ -20,10 +20,5 @@
 #endregion
 
-using System;
-using System.Collections;
 using System.Collections.Generic;
-using System.Collections.ObjectModel;
-using System.Text;
-using System.Drawing;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/OperatorList.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/OperatorList.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/OperatorList.cs	(revision 4068)
@@ -20,10 +20,5 @@
 #endregion
 
-using System;
-using System.Collections;
 using System.Collections.Generic;
-using System.Collections.ObjectModel;
-using System.Text;
-using System.Drawing;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/OperatorSet.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/OperatorSet.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/OperatorSet.cs	(revision 4068)
@@ -20,10 +20,5 @@
 #endregion
 
-using System;
-using System.Collections;
 using System.Collections.Generic;
-using System.Collections.ObjectModel;
-using System.Text;
-using System.Drawing;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemCollection.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemCollection.cs	(revision 4068)
@@ -22,9 +22,5 @@
 using System;
 using System.Collections.Generic;
-using System.Drawing;
-using System.Linq;
 using HeuristicLab.Collections;
-using HeuristicLab.Common;
-using HeuristicLab.Common.Resources;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -36,5 +32,5 @@
       get { return (CheckedItemCollection<T>)base.collection; }
     }
-    
+
     public ReadOnlyCheckedItemCollection() : base(new CheckedItemCollection<T>()) { }
     public ReadOnlyCheckedItemCollection(ICheckedItemCollection<T> collection)
@@ -53,5 +49,5 @@
         handler(this, e);
     }
-    
+
     public IEnumerable<T> CheckedItems {
       get { return CheckedItemCollection.CheckedItems; }
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemList.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemList.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemList.cs	(revision 4068)
@@ -22,9 +22,5 @@
 using System;
 using System.Collections.Generic;
-using System.Drawing;
-using System.Linq;
 using HeuristicLab.Collections;
-using HeuristicLab.Common;
-using HeuristicLab.Common.Resources;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -36,7 +32,8 @@
       get { return (CheckedItemList<T>)base.list; }
     }
-    
+
     public ReadOnlyCheckedItemList() : base(new CheckedItemList<T>()) { }
-    public ReadOnlyCheckedItemList(ICheckedItemList<T> list) : base(list) {
+    public ReadOnlyCheckedItemList(ICheckedItemList<T> list)
+      : base(list) {
       list.CheckedItemsChanged += new CollectionItemsChangedEventHandler<IndexedItem<T>>(list_CheckedItemsChanged);
     }
@@ -52,5 +49,5 @@
         handler(this, e);
     }
-    
+
     public IEnumerable<IndexedItem<T>> CheckedItems {
       get { return CheckedItemList.CheckedItems; }
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemArray.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemArray.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemArray.cs	(revision 4068)
@@ -21,7 +21,5 @@
 
 using System;
-using System.Collections.Generic;
 using System.Drawing;
-using System.Linq;
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemCollection.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemCollection.cs	(revision 4068)
@@ -21,7 +21,5 @@
 
 using System;
-using System.Collections.Generic;
 using System.Drawing;
-using System.Linq;
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemDictionary.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemDictionary.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemDictionary.cs	(revision 4068)
@@ -21,7 +21,5 @@
 
 using System;
-using System.Collections.Generic;
 using System.Drawing;
-using System.Linq;
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
@@ -32,5 +30,7 @@
   [StorableClass]
   [Item("ReadOnlyItemDictionary", "Represents a read-only dictionary of items.")]
-  public class ReadOnlyItemDictionary<TKey, TValue> : ReadOnlyObservableDictionary<TKey, TValue>, IItemDictionary<TKey, TValue> where TKey : class, IItem where TValue : class, IItem {
+  public class ReadOnlyItemDictionary<TKey, TValue> : ReadOnlyObservableDictionary<TKey, TValue>, IItemDictionary<TKey, TValue>
+    where TKey : class, IItem
+    where TValue : class, IItem {
     private string filename;
     public string Filename {
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemList.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemList.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemList.cs	(revision 4068)
@@ -21,7 +21,5 @@
 
 using System;
-using System.Collections.Generic;
 using System.Drawing;
-using System.Linq;
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemSet.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemSet.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemSet.cs	(revision 4068)
@@ -21,7 +21,5 @@
 
 using System;
-using System.Collections.Generic;
 using System.Drawing;
-using System.Linq;
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyKeyedItemCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyKeyedItemCollection.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyKeyedItemCollection.cs	(revision 4068)
@@ -21,7 +21,5 @@
 
 using System;
-using System.Collections.Generic;
 using System.Drawing;
-using System.Linq;
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/VariableCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/VariableCollection.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/VariableCollection.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System.Collections.Generic;
-using System.Linq;
 using HeuristicLab.Common;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
Index: /trunk/sources/HeuristicLab.Core/3.3/Constraints/ComparisonConstraint.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Constraints/ComparisonConstraint.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/Constraints/ComparisonConstraint.cs	(revision 4068)
@@ -22,6 +22,4 @@
 using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
Index: /trunk/sources/HeuristicLab.Core/3.3/Constraints/Constraint.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Constraints/Constraint.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/Constraints/Constraint.cs	(revision 4068)
@@ -23,5 +23,4 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
 using HeuristicLab.Common;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
Index: /trunk/sources/HeuristicLab.Core/3.3/Constraints/ConstraintOperation.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Constraints/ConstraintOperation.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/Constraints/ConstraintOperation.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using System.Collections.Generic;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 namespace HeuristicLab.Core {
@@ -61,8 +60,8 @@
     }
     public static bool operator ==(ConstraintOperation co1, ConstraintOperation co2) {
-      if(object.ReferenceEquals(co1,co2))
+      if (object.ReferenceEquals(co1, co2))
         return true;
-      
-      if((object)co1 == null || (object) co2 == null)
+
+      if ((object)co1 == null || (object)co2 == null)
         return false;
 
Index: /trunk/sources/HeuristicLab.Core/3.3/Constraints/EqualityConstraint.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Constraints/EqualityConstraint.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/Constraints/EqualityConstraint.cs	(revision 4068)
@@ -22,8 +22,5 @@
 using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Common;
 
 namespace HeuristicLab.Core {
Index: /trunk/sources/HeuristicLab.Core/3.3/Constraints/IConstraint.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Constraints/IConstraint.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/Constraints/IConstraint.cs	(revision 4068)
@@ -22,6 +22,4 @@
 using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 
 namespace HeuristicLab.Core {
Index: /trunk/sources/HeuristicLab.Core/3.3/Constraints/TypeCompatibilityConstraint.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Constraints/TypeCompatibilityConstraint.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/Constraints/TypeCompatibilityConstraint.cs	(revision 4068)
@@ -22,6 +22,4 @@
 using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
Index: /trunk/sources/HeuristicLab.Core/3.3/ExecutionContext.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/ExecutionContext.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/ExecutionContext.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System;
-using HeuristicLab.Collections;
 using HeuristicLab.Common;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
Index: /trunk/sources/HeuristicLab.Core/3.3/Interfaces/IExecutionContext.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Interfaces/IExecutionContext.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/Interfaces/IExecutionContext.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Collections;
 using HeuristicLab.Common;
 
Index: /trunk/sources/HeuristicLab.Core/3.3/Interfaces/IItemDictionary.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Interfaces/IItemDictionary.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/Interfaces/IItemDictionary.cs	(revision 4068)
@@ -20,8 +20,9 @@
 #endregion
 
-using System.Collections.Generic;
 using HeuristicLab.Collections;
 
 namespace HeuristicLab.Core {
-  public interface IItemDictionary<TKey, TValue> : IObservableDictionary<TKey, TValue>, IItem where TKey : class, IItem where TValue : class, IItem { }
+  public interface IItemDictionary<TKey, TValue> : IObservableDictionary<TKey, TValue>, IItem
+    where TKey : class, IItem
+    where TValue : class, IItem { }
 }
Index: /trunk/sources/HeuristicLab.Core/3.3/Interfaces/IParameterizedItem.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Interfaces/IParameterizedItem.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/Interfaces/IParameterizedItem.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System.Collections.Generic;
-using HeuristicLab.Collections;
 
 namespace HeuristicLab.Core {
Index: /trunk/sources/HeuristicLab.Core/3.3/OperatorGraph.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/OperatorGraph.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/OperatorGraph.cs	(revision 4068)
@@ -21,11 +21,8 @@
 
 using System;
-using System.Collections.Generic;
-using System.Text;
-using System.Xml;
 using System.Linq;
+using HeuristicLab.Collections;
+using HeuristicLab.Common;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Common;
-using HeuristicLab.Collections;
 
 namespace HeuristicLab.Core {
@@ -95,6 +92,6 @@
     private void OnOperatorGraphDeserializationFinished() {
       EventHandler handler = DeserializationFinished;
-      if(handler != null)
-        handler(this,EventArgs.Empty);
+      if (handler != null)
+        handler(this, EventArgs.Empty);
     }
     [StorableHook(HookType.AfterDeserialization)]
Index: /trunk/sources/HeuristicLab.Core/3.3/ParameterizedNamedItem.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/ParameterizedNamedItem.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/ParameterizedNamedItem.cs	(revision 4068)
@@ -22,5 +22,4 @@
 using System.Collections.Generic;
 using System.Linq;
-using HeuristicLab.Collections;
 using HeuristicLab.Common;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
Index: /trunk/sources/HeuristicLab.Core/3.3/PersistenceContentManager.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/PersistenceContentManager.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/PersistenceContentManager.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using System;
 using HeuristicLab.Common;
 using HeuristicLab.Persistence.Default.Xml;
Index: /trunk/sources/HeuristicLab.Data.Views/3.3/ColumnsVisibilityDialog.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data.Views/3.3/ColumnsVisibilityDialog.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Data.Views/3.3/ColumnsVisibilityDialog.cs	(revision 4068)
@@ -20,11 +20,5 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Linq;
-using System.Text;
 using System.Windows.Forms;
 
@@ -35,5 +29,6 @@
     }
 
-    public ColumnsVisibilityDialog(IEnumerable<DataGridViewColumn> columns) :this() {
+    public ColumnsVisibilityDialog(IEnumerable<DataGridViewColumn> columns)
+      : this() {
       this.Columns = columns;
     }
Index: /trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixView.cs	(revision 4068)
@@ -21,7 +21,6 @@
 
 using System;
+using System.Collections.Generic;
 using System.ComponentModel;
-using System.Collections.Generic;
-using System.Drawing;
 using System.Linq;
 using System.Windows.Forms;
Index: /trunk/sources/HeuristicLab.Data/3.3/PercentValue.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/PercentValue.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Data/3.3/PercentValue.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using System.Text;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
Index: /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/BinaryVectorCreator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/BinaryVectorCreator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/BinaryVectorCreator.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/BinaryVectorCrossover.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/BinaryVectorCrossover.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/BinaryVectorCrossover.cs	(revision 4068)
@@ -20,7 +20,5 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Data;
 using HeuristicLab.Operators;
 using HeuristicLab.Optimization;
Index: /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/BinaryVectorManipulator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/BinaryVectorManipulator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/BinaryVectorManipulator.cs	(revision 4068)
@@ -20,7 +20,5 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Data;
 using HeuristicLab.Operators;
 using HeuristicLab.Optimization;
Index: /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Creators/RandomBinaryVectorCreator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Creators/RandomBinaryVectorCreator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Creators/RandomBinaryVectorCreator.cs	(revision 4068)
@@ -20,9 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
@@ -35,5 +30,5 @@
   [Item("RandomBinaryVectorCreator", "An operator which creates a new random binary vector with each element randomly initialized.")]
   [StorableClass]
-  public class RandomBinaryVectorCreator: BinaryVectorCreator {
+  public class RandomBinaryVectorCreator : BinaryVectorCreator {
     /// <summary>
     /// Generates a new random binary vector with the given <paramref name="length"/>.
Index: /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Crossovers/NPointCrossover.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Crossovers/NPointCrossover.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Crossovers/NPointCrossover.cs	(revision 4068)
@@ -22,11 +22,8 @@
 using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Encodings.BinaryVectorEncoding {
@@ -39,5 +36,5 @@
   [Item("NPointCrossover", "N point crossover for binary vectors. It is implemented as described in Eiben, A.E. and Smith, J.E. 2003. Introduction to Evolutionary Computation. Natural Computing Series, Springer-Verlag Berlin Heidelberg.")]
   [StorableClass]
-  public class NPointCrossover: BinaryVectorCrossover {
+  public class NPointCrossover : BinaryVectorCrossover {
     /// <summary>
     /// Number of crossover points.
@@ -80,5 +77,5 @@
       //choose break points
       List<int> breakpointPool = new List<int>();
-           
+
       for (int i = 0; i < length; i++)
         breakpointPool.Add(i);
@@ -98,5 +95,5 @@
 
       while (arrayIndex < length) {
-        if (breakPointIndex < breakpoints.Length && 
+        if (breakPointIndex < breakpoints.Length &&
           arrayIndex == breakpoints[breakPointIndex]) {
           breakPointIndex++;
Index: /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Crossovers/SinglePointCrossover.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Crossovers/SinglePointCrossover.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Crossovers/SinglePointCrossover.cs	(revision 4068)
@@ -21,12 +21,7 @@
 
 using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
+using HeuristicLab.Data;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Data;
-using HeuristicLab.Parameters;
 
 namespace HeuristicLab.Encodings.BinaryVectorEncoding {
@@ -39,5 +34,5 @@
   [Item("SinglePointCrossover", "Single point crossover for binary vectors. It is implemented based on the NPointCrossover.")]
   [StorableClass]
-  public class SinglePointCrossover: BinaryVectorCrossover {
+  public class SinglePointCrossover : BinaryVectorCrossover {
     /// <summary>
     /// Performs a single point crossover at a randomly chosen position of two 
Index: /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Crossovers/UniformCrossover.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Crossovers/UniformCrossover.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Crossovers/UniformCrossover.cs	(revision 4068)
@@ -21,12 +21,6 @@
 
 using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Data;
-using HeuristicLab.Parameters;
 
 namespace HeuristicLab.Encodings.BinaryVectorEncoding {
@@ -39,5 +33,5 @@
   [Item("UniformCrossover", "Uniform crossover for binary vectors. It is implemented as described in Eiben, A.E. and Smith, J.E. 2003. Introduction to Evolutionary Computation. Natural Computing Series, Springer-Verlag Berlin Heidelberg.")]
   [StorableClass]
-  public class UniformCrossover: BinaryVectorCrossover {
+  public class UniformCrossover : BinaryVectorCrossover {
     /// <summary>
     /// Performs a uniform crossover between two binary vectors.
@@ -60,5 +54,5 @@
           result[i] = parent2[i];
       }
-      
+
       return new BinaryVector(result);
     }
Index: /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorCreator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorCreator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorCreator.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorCrossover.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorCrossover.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorCrossover.cs	(revision 4068)
@@ -20,7 +20,5 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Data;
 using HeuristicLab.Optimization;
 
Index: /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorManipulator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorManipulator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorManipulator.cs	(revision 4068)
@@ -20,7 +20,5 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Data;
 using HeuristicLab.Optimization;
 
Index: /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorMoveOperator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorMoveOperator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorMoveOperator.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
Index: /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorOperator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorOperator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorOperator.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 
Index: /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IOneBitflipMoveOperator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IOneBitflipMoveOperator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IOneBitflipMoveOperator.cs	(revision 4068)
@@ -20,7 +20,5 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Optimization;
 
 namespace HeuristicLab.Encodings.BinaryVectorEncoding {
Index: /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Manipulators/SinglePositionBitflipManipulator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Manipulators/SinglePositionBitflipManipulator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Manipulators/SinglePositionBitflipManipulator.cs	(revision 4068)
@@ -20,9 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
@@ -37,5 +32,5 @@
   [Item("SinglePositionBitflipManipulator", "Flips exactly one bit of a binary vector. It is implemented as described in Michalewicz, Z. 1999. Genetic Algorithms + Data Structures = Evolution Programs. Third, Revised and Extended Edition, Spring-Verlag Berlin Heidelberg.")]
   [StorableClass]
-  public class SinglePositionBitflipManipulator: BinaryVectorManipulator {
+  public class SinglePositionBitflipManipulator : BinaryVectorManipulator {
     /// <summary>
     /// Performs the single position bitflip mutation on a binary vector.
Index: /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Manipulators/SomePositionsBitflipManipulator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Manipulators/SomePositionsBitflipManipulator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Manipulators/SomePositionsBitflipManipulator.cs	(revision 4068)
@@ -20,13 +20,8 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Encodings.BinaryVectorEncoding {
Index: /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Moves/OneBitflipMove/ExhaustiveOneBitflipMoveGenerator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Moves/OneBitflipMove/ExhaustiveOneBitflipMoveGenerator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Moves/OneBitflipMove/ExhaustiveOneBitflipMoveGenerator.cs	(revision 4068)
@@ -20,9 +20,7 @@
 #endregion
 
-using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
+using HeuristicLab.Optimization;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Optimization;
 
 namespace HeuristicLab.Encodings.BinaryVectorEncoding {
@@ -35,5 +33,5 @@
       OneBitflipMove[] moves = new OneBitflipMove[totalMoves];
       for (int i = 0; i < length; i++)
-          moves[i] = new OneBitflipMove(i);
+        moves[i] = new OneBitflipMove(i);
 
       return moves;
